import numpy as np
from sklearn.svm import SVC

A = np.genfromtxt( "datos.csv", delimiter=',', dtype=float )
print( A.shape )

X = A[:,0:2]
y = A[:,2]
print( X.shape )
print( y.shape )

# No estoy separando los datos de entranamiento y
# de prueba porque estamos analizando como funciona
# el modelo de la MVS

mvs = SVC( kernel='linear', decision_function_shape='ovo' )
mvs.fit( X, y )

print( mvs.class_weight_ )
print( mvs.classes_ )
print( mvs.coef_ )
print( mvs.dual_coef_ )
print( mvs.support_ )
print( mvs.support_vectors_ ) 
print( mvs.intercept_ )
print( mvs.n_support_ )

x = np.zeros( (1,2) )
r1 = mvs.predict( x )
print( r1 )

r2 = mvs.decision_function( x )
print( r2 )
